<?php

/*

 $Id: why.php,v 1.10 2003/09/05 22:38:10 vollmerk Exp $
 $Source: /a1/cvsroot/maint/docs/modules/why.php,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

/*!
	@header AutoReg Why Page
	This is the autoreg page, It uses a different header and footer. You will only
	See this page if you don't have access to any zones or click on the link within
	Maintain
*/

/* Start House Keeping */

require "../../modules/config.php";

$user->ui_size = 10;
if (!$info) { $info = $conf['modules']->get_info('autoreg'); }
$ip = new IP(0);

$source_ip = $ip->ip2int($_SERVER['REMOTE_ADDR']);

foreach ($info['site'] as $site_name) {

        if ($info['free_start'][$site_name] <= $source_ip && $info['free_end'][$site_name] >= $source_ip) {

                $autoreg_type = $site_name;
                $user->autoreg_type = $autoreg_type;

        } // end if the ip is inside the free zone

} // end foreach

if (!$user->autoreg_type) {
	$autoreg_type = $info['site'][0];
	$user->autoreg_type = $autoreg_type;
}

/* End House Keeping */
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- Maintain: Copyright 2002, Oregon State University, Network Engineering -->
<html lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<?php show_template('style'); ?>
<title> <?= $conf['site_title'] ?> </title>
</head>
<!-- Campus Header Template -->
<script language="JavaScript" type="text/javascript"><!--
if (!document.all) document.write("\<body marginwidth=\"0\" marginheight=\"0\">");
var x = navigator.userAgent; 
var Vtest = x.substr(x.indexOf("MSIE ")+("MSIE ").length, 4);
Vtest = parseFloat(Vtest);
if (x.indexOf("X11") != true) {
 if (navigator.appVersion.indexOf("Mac") != -1 && Vtest > 5) {
  document.write("\<basefont face=\"verdana,geneva,arial,"
   + "helvetica,sans-serif\" size=\"2\" />"); // style=\"font-size:12px\"
 }
}
function redraw(i) {
 if (i == true) with (navigator) {
  if (appName == "Netscape" && parseInt(appVersion) < 5) {
   document.wth = innerWidth;
   document.hgt = innerHeight;
   onresize = redraw;
  }
 } else if (innerWidth != document.wth || innerHeight != document.hgt) {
  location.reload();
 }      
}       
redraw(true);
// --></script><table width="100%" border="0" cellspacing="0" cellpadding="0"
 summary="Campus identification and links.">
<tbody><tr><!-- ROW ONE: Orange Design Title -->
<!-- First cell, with accessibility link -->
<td class="orng" width="10%" nowrap="nowrap"><a
 class="orng" name="top" href="#SkipNav"><img
 src="<?= $conf['web_path']; ?>/images/blank-pixel.gif"
 alt="Skip Navigational Links"
 width="7" height="44" border="0" /></a></td>
<td width="80%" nowrap="nowrap"><table width="100%" border="0"
 cellspacing="0" cellpadding="0" summary="">
<tbody><tr>
<td class="orng" align="left"><img
 src="<?= $conf['web_path']; ?>/images/blank-pixel.gif"
 alt=""
 width="17" height="44" /><a class="orng" accesskey="1"
 href="http://oregonstate.edu/"><img
 src="<?= $conf['web_path']; ?>/images/org_wordmark-99.gif"
 alt="Oregon State University: Open Minds, Open Doors." name="t_osu"
 width="270" height="44" border="0" /></a></td><!-- ROW ONE: Orange Design Utilities -->
<td class="orng" align="right" valign="bottom" nowrap="nowrap"><a class="orng"
 href="http://oregonstate.edu/"><img
 src="<?= $conf['web_path']; ?>/images/org_osu-home.gif"
 alt="OSU Home" name="t_home"
 width="60" height="18" border="0" /></a><img
 src="<?= $conf['web_path']; ?>/images/org_divider.gif"
 alt="o"        
 width="3" height="18" /><a class="orng"
 href="http://calendar.oregonstate.edu/"><img
 src="<?= $conf['web_path']; ?>/images/org_calendar.gif"
 alt="Campus Calendar" name="t_calendar"
 width="50" height="18" border="0" /></a><img
 src="<?= $conf['web_path']; ?>/images/org_divider.gif"
 alt="o"
 width="3" height="18" /><a class="orng"
 href="http://oregonstate.edu/findsomeone/"><img
 src="<?= $conf['web_path']; ?>/images/org_find-someone.gif"
 alt="Find Someone" name="t_find"
 width="77" height="18" border="0" /></a><img
 src="<?= $conf['web_path']; ?>/images/org_divider.gif"
 alt="o"        
 width="3" height="18" /><a class="orng"
 href="http://oregonstate.edu/cw_tools/campusmap/"><img
 src="<?= $conf['web_path']; ?>/images/org_maps.gif"
 alt="Maps" name="t_maps"
 width="32" height="18" border="0" /></a><img
 src="<?= $conf['web_path']; ?>/images/org_divider.gif"
 alt="o"
 width="3" height="18" /><a class="orng" accesskey="2"
 href="http://oregonstate.edu/siteindex.html"><img
 src="<?= $conf['web_path']; ?>/images/org_site-index.gif"
 alt="Site Index" name="t_site"
 width="52" height="18" border="0" /></a></td>
</tr></tbody>
</table></td>
<td class="orng" width="10%"><img
 src="<?= $conf['web_path']; ?>/images/blank-pixel.gif"
 alt=""
 width="7" height="1" border="0" /></td>

</tr></tbody></table><!-- Navigation / Body -->
<div><table width="100%" border="0"
 cellspacing="0" cellpadding="0" summary=""><tbody><tr>
<td align="left" class="whit">

<link rel="StyleSheet" href="<?= $conf['web_path']; ?>/campus.css" type="text/css" />



<?
	$url = $info['why_page'][$user->autoreg_type] . "?ip=" . $_SERVER['REMOTE_ADDR'];
	$worked = @include($info['why_page'][$user->autoreg_type]);
	if (!$worked) { 
                mail($conf['support_email'],"Error including Autoreg Document","Error: can't include Autoreg WHY Document....\nURL:" . $info['why_path'][$user->autoreg_type]);
	}

	show_template('autoreg_whyhere');
	echo "<hr /><br />";

$did_include = @include("http://uhds.oregonstate.edu/resnet/maintaindocs/footer.php");
if (!$did_include) {
	mail($conf['support_email'],"Error including Autoreg Document","Error: can't include Autoreg Footer Document....");
}
?>
<div align="right">
<a href="http://www.onid.orst.edu"><img src="<?= $conf['web_path']; ?>/images/powered-by-onid.gif" border="0" alt="Powered by ONID" /></a
</div>
<!-- Campus Footer Template -->
<!-- FOOTER BAR: Orange Design, no Audience -->
<table width="100%" border="0" cellpadding="0" cellspacing="0"
 summary="">
<tbody><tr>

<td class="blak"><img
 src="<?= $conf['web_path']; ?>/images/blank-pixel.gif"
 alt=""
 width="7" height="9" /></td>
</tr></tbody>
</table>

